# Generated by Django 2.0.6 on 2020-11-09 13:54

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('metabaseEditor', '0003_imported_data_tmp'),
    ]

    operations = [
        migrations.CreateModel(
            name='Deleted_data_tmp',
            fields=[
                ('id', models.CharField(max_length=255, primary_key=True, serialize=False)),
                ('type', models.CharField(choices=[('samples', 'samples'), ('controls', 'controls'), ('tubes', 'tubes'), ('plates', 'plates'), ('project', 'project'), ('primers', 'primers'), ('submission_file', 'submission_file')], max_length=255)),
                ('uniq_id', models.CharField(max_length=255)),
                ('parent', models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, to='metabaseEditor.Deleted_data_tmp')),
            ],
        ),
    ]
